Package com.avaya.clientservices.collaboration.drawing

## Class DrawingUtils

- java.lang.Object
- - com.avaya.clientservices.collaboration.drawing.DrawingUtils

-     public final class DrawingUtils
      extends java.lang.Object

  Helper class for drawings.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DrawingUtils.FontSize` |
    `static class` | `DrawingUtils.LineWidth` |
    `static class` | `DrawingUtils.StrokeWidth` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_FONT_SIZE` |
    `static int` | `DEFAULT_LINE_WIDTH` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `convertColorToInt​(Color color)` | Converts color to int value.
    `static int` | `getFontSize​(DrawingUtils.FontSize fontSize)` | Returns font size in px for enum object
    `static int` | `getLineThickness​(DrawingUtils.LineWidth lineWidth)` | Returns line thickness in px for enum object
    `static int` | `getStrokeWidth​(DrawingUtils.StrokeWidth strokeWidth)` | Returns stroke width in px for enum object.
    `static void` | `setDefaultPaint​(android.graphics.Paint paint)` | Sets default paint.
    `static void` | `setStyleAndColors​(android.graphics.Paint paint, boolean isFilled, Color color)` | Sets default style and color for Paint object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LINE_WIDTH

          public static int DEFAULT_LINE_WIDTH

    - #### DEFAULT_FONT_SIZE

          public static int DEFAULT_FONT_SIZE

  - ### Method Detail

    - #### convertColorToInt

          public static int convertColorToInt​(Color color)

      Converts color to int value.
      Parameters:
        `color` - color to convert.
      Returns:
        a color-int from red, green, blue components.

    - #### setDefaultPaint

          public static void setDefaultPaint​(android.graphics.Paint paint)

      Sets default paint.
      Parameters:
        `paint` - default paint.

    - #### setStyleAndColors

          public static void setStyleAndColors​(android.graphics.Paint paint,
                                               boolean isFilled,
                                               Color color)

      Sets default style and color for Paint object.
      Parameters:
        `paint` - paint object.
        `isFilled` - should be filled.
        `color` - color object.

    - #### getStrokeWidth

          public static int getStrokeWidth​(DrawingUtils.StrokeWidth strokeWidth)

      Returns stroke width in px for enum object.
      Parameters:
        `strokeWidth` - stroke width object.
      Returns:
        width in px.

    - #### getFontSize

          public static int getFontSize​(DrawingUtils.FontSize fontSize)

      Returns font size in px for enum object
      Parameters:
        `fontSize` - font size object.
      Returns:
        font size in px.

    - #### getLineThickness

          public static int getLineThickness​(DrawingUtils.LineWidth lineWidth)

      Returns line thickness in px for enum object
      Parameters:
        `lineWidth` - line width object.
      Returns:
        line thickness in px.